#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		_enable_debug_packages	0

Summary:	XML-XCB protocol description files
Summary(pl.UTF-8):	Pliki opisu protokołu XML-XCB
Name:		xcb-proto
Version:	1.15.2
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
Source0:	https://xorg.freedesktop.org/releases/individual/proto/%{name}-%{version}.tar.xz
# Source0-md5:	d2251b01927c2fbe92dc540f9536b430
URL:		https://xcb.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.12.6
BuildRequires:	libxml2-progs
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{without python3}
Requires:	python >= 1:2.5
Requires:	python-xcbgen = %{version}-%{release}
%else
Requires:	python3 >= 1:3.2
Requires:	python3-xcbgen = %{version}-%{release}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xcb-proto provides the XML-XCB protocol descriptions that libxcb uses
to generate the majority of its code and API. They are provided
separately from libxcb to allow reuse by other projects, such as
additional language bindings, protocol dissectors, or documentation
generators.

%description -l pl.UTF-8
xcb-proto zawiera opisy protokołu XML-XCB używane przez libxcb do
generowania większości swojego kodu i API. Są dostarczane osobno, aby
umożliwić wykorzystanie przez inne projekty, takie jak dodatkowe
dowiązania dla innych języków, analizatory protokołu czy generatory
dokumentacji.

%package -n python-xcbgen
Summary:	Python 2 xcbgen module
Summary(pl.UTF-8):	Moduł xcbgen dla Pythona 2
Group:		Libraries/Python
Requires:	python-modules >= 1:2.5

%description -n python-xcbgen
Python 2 xcbgen module.

%description -n python-xcbgen -l pl.UTF-8
Moduł xcbgen dla Pythona 2.

%package -n python3-xcbgen
Summary:	Python 3 xcbgen module
Summary(pl.UTF-8):	Moduł xcbgen dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch

%description -n python3-xcbgen
Python 3 xcbgen module.

%description -n python3-xcbgen -l pl.UTF-8
Moduł xcbgen dla Pythona 3.

%prep
%setup -q

%build
# rebuild ac/am to use python3 sitescriptdir (apply automake/revert-debian-python-hacks.patch)
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with python3}
install -d build3
cd build3
PYTHON=%{__python3} \
../%configure
%{__make}
cd ..
%endif

%if %{with python2}
install -d build2
cd build2
PYTHON=%{__python} \
../%configure
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__make} -C build2 install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__make} -C build3 install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/xcb
%{_npkgconfigdir}/xcb-proto.pc

%if %{with python2}
%files -n python-xcbgen
%defattr(644,root,root,755)
%{py_sitescriptdir}/xcbgen
%endif

%if %{with python3}
%files -n python3-xcbgen
%defattr(644,root,root,755)
%{py3_sitescriptdir}/xcbgen
%endif
%changelog
* Tue Jun 21 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xcb-proto.git;a=log;h=master

* Sun Jun 19 2022 Jan Palus <atler@pld-linux.org> 9d993f1
- up to 1.15.2 (fully noarch now)

* Sun Jun 19 2022 Jan Palus <atler@pld-linux.org> 87698d4
- BR: python*-modules for py_compile/compileall

* Wed May 04 2022 Jan Palus <atler@pld-linux.org> 496af39
- up to 1.15

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> 7e890e5
- adjust for automake 1.16.4 changes
  https://gitlab.freedesktop.org/xorg/proto/xcbproto/-/merge_requests/25

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1ece6ba
- rebuild with python 3.10

* Tue Oct 19 2021 Jan Palus <atler@pld-linux.org> 8ea2a60
- default to python3; rel 3

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> bc16a12
- unconditional noarch subpackages

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 655536d
- disable debug packages; rel 2

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> c006749
- updated to 1.14.1
- adjust python3 dir to noarch (requires am rebuild)

* Tue Apr 07 2020 Jan Palus <atler@pld-linux.org> b3f9ec0
- simplify install

* Tue Apr 07 2020 Jan Palus <atler@pld-linux.org> 09b3dbc
- shift python files to python-xcbgen, pacakge python3 variant; rel 2

* Sun Feb 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 6bd22fd
- updated to 1.14

* Wed Mar 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 9363370
- updated to 1.13

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> f1374e0
- updated to 1.12

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a5a0fe5
- x32 rebuild
- release 2 (by relup.sh)

* Fri Aug 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b5b7a6
- updated to 1.11

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 9fa0d8c
- updated to 1.10

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 446060d
- updated to 1.9

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c9428a7
- updated to 1.8

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> cca2014
- updated to 1.7.1

